# Homemade Computer Project To Be Named Later

Here are the files used to build the case for my homemade
computer. You can see a lot about it in [this article](http://ralsina.me/weblog/posts/so-i-built-a-laptop.html) (or at least about it as it was in early march 2023)

The main gist is to use [CadQuery](https://cadquery.readthedocs.io/en/latest/)
and Python to build flexible, deeply parametric cases for computers based on
Single Board Computers (think Raspberry Pi and similar things).

## How flexible?

Suppose you buy a mechanic keyboard and use it as the base to build something like a classic C64-style wedge using a cheap 3d printer:

![Image of a wedge-style computer case](https://pbs.twimg.com/media/FtsB6wiX0AEqrHF?format=jpg&name=large)

Yes, you can do this using pretty much any mechanical keyboard you are willing to butcher.

And then you remove a few screws, replace a few components and turn it into a 
Tandy Model-100 style laptop:

![Image of a Tandy style laptop case](http://ralsina.me/galleries/laptop/IMG20230302142042.thumbnail.jpg)

Or into a "normal" notebook:

![Image of something somewhat notebook-like](https://pbs.twimg.com/media/FtTFtMoXoAEblTb?format=jpg&name=large)

And what's inside?

* A SBC
* Maybe batteries
* Maybe a USB hub
* Perhaps a soundcard?
* Storage?

How would I know, you are going to be the one that builds it!

## How is it going

The basic concepts work, as proven by me building the damned things. But still:

* The software needs a lot of work
* It has to be made much more user friendly
* All the "lids" are pretty custom one-offs (they need to be made more parametric)
* The component library is very limited (just the things I am using in my build)

None of those things is an insurmountable problem, and I am working on them,
and I have plans to fix it all. Eventually. Some day.

In the meantime, if you want to use any of this and need a hand, just contact me at roberto.alsina@gmail.com and I'll try to help.